# Service Configurations Service Configurations ## Gets all of the service configurations in the system. - [GET /serviceConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-configurations/listserviceconfigurations.md): This method will scan all service configurations and and return them to the caller. ## Creates a new service configuration record that does not already exist. - [POST /serviceConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-configurations/createserviceconfiguration.md): This method will auto-generate an ID and create a new service configuration. If an ID is specified for the service configuration, an error will be thrown. ## Execute Batch Operations - [POST /serviceConfigurations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-configurations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets service metadata - [GET /serviceConfigurations/{tenantId}/metadata/{microservice}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-configurations/getmicroservicemetadata.md): Returns information about fields for a service ## Returns a service configuration from the system by its ID. - [DELETE /serviceConfigurations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-configurations/deleteserviceconfiguration.md): This method will delete a service configuration with the specified ID. ## Returns a service configuration from the system by its ID. - [GET /serviceConfigurations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-configurations/getserviceconfiguration.md): This method will look up a service configuration by the specified ID and return it back. ## Partially updates a service configuration with the specified ID. - [PATCH /serviceConfigurations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-configurations/patchserviceconfiguration.md): This method will patch an existing service configuration with the specified ID, using the HTTP PATCH specification. ## Updates a service configuration with the specified ID. - [PUT /serviceConfigurations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-configurations/updateserviceconfiguration.md): This method will update an existing service configuration with the specified ID.